(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@yukawa/chain-base-angular-store'), require('rxjs'), require('@angular/core'), require('@angular/cdk/table'), require('@angular/material/sort'), require('@angular/material/table'), require('@angular/material/slide-toggle'), require('@angular/material/icon'), require('@angular/material/button'), require('@angular/material/core'), require('@angular/flex-layout'), require('@angular/common'), require('@angular/material/tooltip')) :
    typeof define === 'function' && define.amd ? define('@yukawa/chain-docs-angular-comp', ['exports', '@yukawa/chain-base-angular-store', 'rxjs', '@angular/core', '@angular/cdk/table', '@angular/material/sort', '@angular/material/table', '@angular/material/slide-toggle', '@angular/material/icon', '@angular/material/button', '@angular/material/core', '@angular/flex-layout', '@angular/common', '@angular/material/tooltip'], factory) :
    (global = global || self, factory((global.yukawa = global.yukawa || {}, global.yukawa['chain-docs-angular-comp'] = {}), global.chainBaseAngularStore, global.rxjs, global.ng.core, global.ng.cdk.table, global.ng.material.sort, global.ng.material.table, global.ng.material.slideToggle, global.ng.material.icon, global.ng.material.button, global.ng.material.core, global.ng.flexLayout, global.ng.common, global.ng.material.tooltip));
}(this, (function (exports, chainBaseAngularStore, rxjs, core, table, sort, table$1, slideToggle, icon, button, core$1, flexLayout, common, tooltip) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __exportStar(m, exports) {
        for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
        if (m) return m.call(o);
        return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: file/file-table/file-info-query.store.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FileInfoQueryStore = /** @class */ (function (_super) {
        __extends(FileInfoQueryStore, _super);
        function FileInfoQueryStore(service, paginator, sort, tableFilter) {
            var _this = _super.call(this, paginator, sort, tableFilter) || this;
            _this.service = service;
            _this.paginator = paginator;
            _this.sort = sort;
            _this.tableFilter = tableFilter;
            _this.filterSubject = new rxjs.BehaviorSubject(tableFilter);
            return _this;
        }
        /**
         * @protected
         * @return {?}
         */
        FileInfoQueryStore.prototype.queryTable = /**
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var filter = this.findFilter();
            this.applyFilter(filter);
            if (filter.keyword)
                filter.keyword += '*';
            return this.service.queryFiles(filter);
        };
        return FileInfoQueryStore;
    }(chainBaseAngularStore.QueryTableSource));
    if (false) {
        /**
         * @type {?}
         * @protected
         */
        FileInfoQueryStore.prototype.service;
        /**
         * @type {?}
         * @protected
         */
        FileInfoQueryStore.prototype.paginator;
        /**
         * @type {?}
         * @protected
         */
        FileInfoQueryStore.prototype.sort;
        /**
         * @type {?}
         * @protected
         */
        FileInfoQueryStore.prototype.tableFilter;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: file/file-table/file-table.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    //import {TableFilter} from "../../../../../../../../../libs/chain-base/front/angular/domain/target/angular";
    /** @type {?} */
    var TAG = 'FileTableComponent';
    var FileTableComponent = /** @class */ (function () {
        function FileTableComponent() {
            this.displayedColumns = ['icon', 'fileName', 'type', 'size', 'owner', 'created', 'modified', 'detail-button'];
            //@Output()
            //rowSelected = new EventEmitter<FileInfo|any>();
            this.action = new core.EventEmitter();
        }
        /**
         * @return {?}
         */
        FileTableComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
        };
        /**
         * On destroy
         */
        /**
         * On destroy
         * @return {?}
         */
        FileTableComponent.prototype.ngOnDestroy = /**
         * On destroy
         * @return {?}
         */
        function () {
            // Unsubscribe from all subscriptions
            // this.rowSelected.next();
            this.action.complete();
        };
        /**
         * @param {?} event
         * @param {?} cmd
         * @param {?} selected
         * @return {?}
         */
        FileTableComponent.prototype.onAction = /**
         * @param {?} event
         * @param {?} cmd
         * @param {?} selected
         * @return {?}
         */
        function (event, cmd, selected) {
            if (core.isDevMode()) {
                console.debug(TAG, "onAction", cmd, selected);
            }
            event.stopPropagation();
            this.fireAction((/** @type {?} */ ({ name: cmd, payload: selected })));
        };
        /**
         * @protected
         * @param {?} action
         * @return {?}
         */
        FileTableComponent.prototype.fireAction = /**
         * @protected
         * @param {?} action
         * @return {?}
         */
        function (action) {
            this.action.emit(action);
        };
        FileTableComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'chain-docs-file-table',
                        template: "<mat-table #table [dataSource]=\"dataSource\" matSort>    <!--[@animateStagger]=\"{value:'50'}\"-->\n\n    <!-- Type Column -->\n    <ng-container matColumnDef=\"icon\">\n        <mat-header-cell *matHeaderCellDef fxFlex=\"64px\"></mat-header-cell>\n        <mat-cell *matCellDef=\"let row\" fxFlex=\"64px\">\n            <mat-icon class=\"type-icon\" [ngClass]=\"row.type\"></mat-icon>\n        </mat-cell>\n    </ng-container>\n\n    <!-- Name Column -->\n    <ng-container matColumnDef=\"fileName\">\n        <mat-header-cell mat-sort-header *matHeaderCellDef>Name</mat-header-cell>\n        <mat-cell *matCellDef=\"let row\"> {{row.fileName}}</mat-cell>\n    </ng-container>\n\n    <!-- Type Column -->\n    <ng-container matColumnDef=\"type\">\n        <mat-header-cell mat-sort-header *matHeaderCellDef fxHide fxShow.gt-md>Type</mat-header-cell>\n        <mat-cell *matCellDef=\"let row\" fxHide fxShow.gt-md> {{row.type}}</mat-cell>\n    </ng-container>\n\n    <!-- Owner Column -->\n    <ng-container matColumnDef=\"owner\">\n        <mat-header-cell mat-sort-header *matHeaderCellDef fxHide.xs>Owner</mat-header-cell>\n        <mat-cell *matCellDef=\"let row\" fxHide.xs> {{row.created?.user}}</mat-cell>\n    </ng-container>\n\n    <!-- Size Column -->\n    <ng-container matColumnDef=\"size\">\n        <mat-header-cell mat-sort-header *matHeaderCellDef fxHide.xs>Size</mat-header-cell>\n        <mat-cell *matCellDef=\"let row\" fxHide.xs>-</mat-cell>\n    </ng-container>\n    <!-- Created Column mat-sort-header -->\n    <ng-container matColumnDef=\"created\">\n        <mat-header-cell *matHeaderCellDef fxHide fxShow.gt-md>Created</mat-header-cell>\n        <mat-cell *matCellDef=\"let row\" fxHide fxShow.gt-md>{{row.created?.date | date}}</mat-cell>\n    </ng-container>\n\n    <!-- Modified Column mat-sort-header -->\n    <ng-container matColumnDef=\"modified\">\n        <mat-header-cell *matHeaderCellDef fxHide fxShow.gt-md>Modified</mat-header-cell>\n        <mat-cell *matCellDef=\"let row\" fxHide fxShow.gt-md>{{row.change?.date | date}}</mat-cell>\n    </ng-container>\n\n    <!-- Detail Button Column -->\n    <ng-container matColumnDef=\"detail-button\">\n        <mat-header-cell *matHeaderCellDef fxFlex=\"48px\" fxHide.gt-md></mat-header-cell>\n        <mat-cell *matCellDef=\"let row\" fxFlex=\"48px\" fxHide.gt-md>\n            <button mat-icon-button class=\"sidebar-toggle\" fxHide.gt-md\n                    (click)=\"onAction( $event, 'info', row);\">\n                <mat-icon class=\"secondary-text\">info</mat-icon>\n            </button>\n        </mat-cell>\n    </ng-container>\n\n    <mat-header-row *matHeaderRowDef=\"displayedColumns\"></mat-header-row>\n    <mat-row *matRowDef=\"let row; columns: displayedColumns;\"\n             (click)=\"onAction($event,'select', row)\"\n             [ngClass]=\"{'selected' : row == selected}\" matRipple>\n        <!--[@animate]=\"{value:'*',params:{y:'100%'}}\"-->\n    </mat-row>\n    \n</mat-table>",
                        encapsulation: core.ViewEncapsulation.None,
                        styles: ["file-list{width:100%}file-list .mat-table{background:0 0;box-shadow:none}file-list .mat-table .mat-row{position:relative;cursor:pointer;min-height:64px}"]
                    }] }
        ];
        /** @nocollapse */
        FileTableComponent.ctorParameters = function () { return []; };
        FileTableComponent.propDecorators = {
            displayedColumns: [{ type: core.Input }],
            dataSource: [{ type: core.Input }],
            selected: [{ type: core.Input }],
            action: [{ type: core.Output }],
            sort: [{ type: core.ViewChild, args: [sort.MatSort, { static: true },] }]
        };
        return FileTableComponent;
    }());
    if (false) {
        /** @type {?} */
        FileTableComponent.prototype.displayedColumns;
        /** @type {?} */
        FileTableComponent.prototype.dataSource;
        /** @type {?} */
        FileTableComponent.prototype.selected;
        /** @type {?} */
        FileTableComponent.prototype.action;
        /** @type {?} */
        FileTableComponent.prototype.sort;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: file/file-info/file-info.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var TAG$1 = 'FileInfoComponent';
    var FileInfoComponent = /** @class */ (function () {
        function FileInfoComponent() {
            this.action = new core.EventEmitter();
        }
        /**
         * @return {?}
         */
        FileInfoComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
        };
        // @toDo NR [ww] implement actions in FileManagerComponent.onDetailAction
        /*
         remove(): void {

           /*  this.confirmDialogRef = this._matDialog.open(FuseConfirmDialogComponent, {
                 disableClose: false
             });

             this.confirmDialogRef.componentInstance.confirmMessage = `Are you sure you want to delete ${this.selected.fileName} ?`;

             this.confirmDialogRef.afterClosed().subscribe(result => {
                 if (result) {
                     this._fileManagerService.deleteDirectory(this.selected.fileId).subscribe(res => {
                         this._fileManagerService.getFiles({ parentId: this._fileManagerService.currentfileId });
                     });
                 }
             });
         }

         goto(): void {
             //
             // this._fileManagerService.downloadFile(this.selected.fileId, this.selected.mime).subscribe(res => {
             //     FileSaver.saveAs(res, this.selected.fileName);
             // }), error => console.log('Error downloading the file'),
             //     () => console.info('File downloaded successfully')
         }  */
        // @toDo NR [ww] implement actions in FileManagerComponent.onDetailAction
        /*
             remove(): void {
        
               /*  this.confirmDialogRef = this._matDialog.open(FuseConfirmDialogComponent, {
                     disableClose: false
                 });
        
                 this.confirmDialogRef.componentInstance.confirmMessage = `Are you sure you want to delete ${this.selected.fileName} ?`;
        
                 this.confirmDialogRef.afterClosed().subscribe(result => {
                     if (result) {
                         this._fileManagerService.deleteDirectory(this.selected.fileId).subscribe(res => {
                             this._fileManagerService.getFiles({ parentId: this._fileManagerService.currentfileId });
                         });
                     }
                 });
             }
        
             goto(): void {
                 //
                 // this._fileManagerService.downloadFile(this.selected.fileId, this.selected.mime).subscribe(res => {
                 //     FileSaver.saveAs(res, this.selected.fileName);
                 // }), error => console.log('Error downloading the file'),
                 //     () => console.info('File downloaded successfully')
             }  */
        /**
         * @param {?} cmd
         * @param {?=} selected
         * @return {?}
         */
        FileInfoComponent.prototype.onAction = 
        // @toDo NR [ww] implement actions in FileManagerComponent.onDetailAction
        /*
             remove(): void {
        
               /*  this.confirmDialogRef = this._matDialog.open(FuseConfirmDialogComponent, {
                     disableClose: false
                 });
        
                 this.confirmDialogRef.componentInstance.confirmMessage = `Are you sure you want to delete ${this.selected.fileName} ?`;
        
                 this.confirmDialogRef.afterClosed().subscribe(result => {
                     if (result) {
                         this._fileManagerService.deleteDirectory(this.selected.fileId).subscribe(res => {
                             this._fileManagerService.getFiles({ parentId: this._fileManagerService.currentfileId });
                         });
                     }
                 });
             }
        
             goto(): void {
                 //
                 // this._fileManagerService.downloadFile(this.selected.fileId, this.selected.mime).subscribe(res => {
                 //     FileSaver.saveAs(res, this.selected.fileName);
                 // }), error => console.log('Error downloading the file'),
                 //     () => console.info('File downloaded successfully')
             }  */
        /**
         * @param {?} cmd
         * @param {?=} selected
         * @return {?}
         */
        function (cmd, selected) {
            if (selected === void 0) { selected = this.value; }
            if (core.isDevMode()) {
                console.debug(TAG$1, "onAction", cmd, selected);
            }
            this.fireAction((/** @type {?} */ ({ name: cmd, payload: selected })));
        };
        /**
         * @protected
         * @param {?} action
         * @return {?}
         */
        FileInfoComponent.prototype.fireAction = /**
         * @protected
         * @param {?} action
         * @return {?}
         */
        function (action) {
            this.action.emit(action);
        };
        FileInfoComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'chain-docs-file-info',
                        template: "<!-- SIDEBAR HEADER -->\n<div class=\"header accent p-24\" fxLayout=\"column\" fxLayoutAlign=\"space-between\">\n\n    <div class=\"toolbar\" fxLayout=\"row\" fxLayoutAlign=\"end center\">\n\n        <button (click)=\"onAction('delete')\"  mat-icon-button matTooltip=\"Delete\">\n            <mat-icon>delete</mat-icon>\n        </button>\n\n        <button *ngIf=\"value?.type!='DIRECTORY'\" (click)=\"onAction('download')\" mat-icon-button  aria-label=\"Download\" matTooltip=\"Download\">\n            <mat-icon>cloud_download</mat-icon>\n        </button>\n\n        <!--<input (change)=\"onAction('upload')\" hidden type=\"file\" #fileInput/>-->\n        <button *ngIf=\"value?.type!='DIRECTORY'\" (click)=\"onAction('upload')\" mat-icon-button  aria-label=\"Download\" matTooltip=\"Upload\">\n            <mat-icon>cloud_upload</mat-icon>\n        </button>\n\n        <button mat-icon-button aria-label=\"More\" matTooltip=\"More\">\n            <mat-icon>more_vert</mat-icon>\n        </button>\n    </div>\n\n    <div>\n        <div class=\"title mb-8\">{{value?.fileName}}</div>\n        <div class=\"subtitle secondary-text\">\n            <span>Edited</span>\n            <span *ngIf=\"value\">: {{value?.change?.date | date}}</span>\n        </div>\n    </div>\n</div>\n<!-- / SIDEBAR HEADER -->\n\n<!-- SIDEBAR CONTENT -->\n<div class=\"content p-24\" fusePerfectScrollbar>\n   <!-- [@animate]=\"{value:'*',params:{delay:'200ms'}}\"-->\n    <div class=\"file-details\" >\n\n        <div class=\"preview file-icon\" fxLayout=\"row\" fxLayoutAlign=\"center center\">\n            <mat-icon class=\"type-icon s-48\" [ngClass]=\"value?.type\"></mat-icon>\n        </div>\n\n        <div *ngIf=\"value\" class=\"offline-switch\">\n            <mat-slide-toggle [(ngModel)]=\"isPrivate\" labelPosition=\"before\">Private</mat-slide-toggle>\n        </div>\n\n        <div class=\"title\">Info</div>\n\n\n        <table>\n            <tr class=\"type\">\n                <th>Type</th>\n                <td>{{value?.type}}</td>\n            </tr>\n\n            <tr class=\"size\">\n                <th>Size</th>\n                <td>-</td>\n            </tr>\n\n            <!-- <tr class=\"location\">\n                <th>Location</th>\n                <td>{{selected.location}}</td>\n            </tr> -->\n\n            <tr class=\"owner\">\n                <th>Owner</th>\n                <td>{{value?.created?.user}}</td>\n            </tr>\n\n            <tr class=\"modified\">\n                <th>Modified</th>\n                <td>{{value?.change?.date | date}}</td>\n            </tr>\n\n            <!-- <tr class=\"opened\">\n                <th>Opened</th>\n                <td>{{selected.opened}}</td>\n            </tr> -->\n\n            <tr class=\"created\">\n                <th>Created</th>\n                <td>{{value?.created?.date | date}}</td>\n            </tr>\n        </table>\n    </div>\n\n</div>\n<!-- / SIDEBAR CONTENT -->",
                        styles: [":host{display:flex;flex-direction:column;flex:1 1 auto;height:100%}:host>.header{flex:0 1 auto;height:160px;min-height:160px;max-height:160px}:host>.content{flex:1}:host>.content .file-details .preview{height:240px}:host>.content .file-details .offline-switch{padding-bottom:16px;font-weight:600}:host>.content .file-details .title{padding:16px 0}:host>.content .file-details table{width:100%;text-align:left}:host>.content .file-details table tr td,:host>.content .file-details table tr th{padding:16px 0}:host>.content .file-details table tr.type{text-transform:capitalize}:host>.content .file-details table tr.owner{text-transform:capitalize}"]
                    }] }
        ];
        /** @nocollapse */
        FileInfoComponent.ctorParameters = function () { return []; };
        FileInfoComponent.propDecorators = {
            value: [{ type: core.Input }],
            isPrivate: [{ type: core.Input }],
            action: [{ type: core.Output }]
        };
        return FileInfoComponent;
    }());
    if (false) {
        /** @type {?} */
        FileInfoComponent.prototype.value;
        /** @type {?} */
        FileInfoComponent.prototype.isPrivate;
        /** @type {?} */
        FileInfoComponent.prototype.action;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: file-comp.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    //import {MatSortModule} from "@angular/material/sort";
    var FileCompModule = /** @class */ (function () {
        function FileCompModule() {
        }
        FileCompModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            FileTableComponent,
                            FileInfoComponent
                        ],
                        imports: [
                            // BrowserModule,
                            // BrowserAnimationsModule,
                            common.CommonModule,
                            //BrowserAnimationsModule,
                            button.MatButtonModule,
                            icon.MatIconModule,
                            core$1.MatRippleModule,
                            slideToggle.MatSlideToggleModule,
                            table$1.MatTableModule,
                            sort.MatSortModule,
                            tooltip.MatTooltipModule,
                            flexLayout.FlexLayoutModule
                        ],
                        exports: [
                            FileTableComponent,
                            FileInfoComponent
                        ],
                        schemas: [core.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return FileCompModule;
    }());

    exports.FileCompModule = FileCompModule;
    exports.FileInfoComponent = FileInfoComponent;
    exports.FileInfoQueryStore = FileInfoQueryStore;
    exports.FileTableComponent = FileTableComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=yukawa-chain-docs-angular-comp.umd.js.map
